automation-suite
2023.10
false
Automation Suite API guide
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
- Get all groups
- Get specific group
- Delete specific group
- Create a new local group
- Update group
API endpoint that returns information about a specific group based on organization and group ID in Automation Suite.
Returns information about a group, based on the organization and group ID.
API endpoint
GET https://{yourDomain}/{organizationName}/identity_/api/Group/{partitionGlobalId}/{groupId}
Scopes
Requires the following scopes:
PM.GroupPM.Group.Read
Request headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path parameters
| Parameter | Data type | Description |
|---|---|---|
partitionGlobalId | String | Required. The ID of the organization containing the desired group. |
groupID | String | Required. The ID of the group you want to retrieve. |
Responses
200 OK
The specified group information is returned.
Example request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/{tenantName}/ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:magic-7 - The
{groupID}is:2512
The call should resemble the following example (cURL):
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/Group/magic-7/2512' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/Group/magic-7/2512' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Here's the response body for a successful call:
{
"id": "2512",
"name": "Automation Developers",
"displayName": "Automation Developers",
"type": 0,
"creationTime": "2021-10-19T14:25:01.6574988",
"lastModificationTime": "2021-10-19T14:25:01.6574988",
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Albus",
"lastName": "D",
"jobTitle": "master",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Albus D",
"source": "local",
"identifier": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
"name": "albus",
"email": "albus@hogwarts.com"
}
]
}
{
"id": "2512",
"name": "Automation Developers",
"displayName": "Automation Developers",
"type": 0,
"creationTime": "2021-10-19T14:25:01.6574988",
"lastModificationTime": "2021-10-19T14:25:01.6574988",
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Albus",
"lastName": "D",
"jobTitle": "master",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Albus D",
"source": "local",
"identifier": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
"name": "albus",
"email": "albus@hogwarts.com"
}
]
}